.share-modal .modal.open {
    display: flex !important;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.share-modal .modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.4);
}

.share-modal .bg-overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 10;
}

.share-modal .modal-content {
    background-color: #FFFFFF;
    margin: 5% auto;
    padding: 24px;
    width: 100%;
    max-width: 480px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    max-height: 90vh;
    border: none;
    z-index: 20;
    position: relative;
}

.share-modal .modal-content .title {
    font-family: 'Mardoto', sans-serif;
    font-size: 18px;
    font-weight: 600;
    line-height: 28px;
    text-align: left;
    color: #101828;
    margin-bottom: 8px;
}

.share-modal .modal-content .description {
    font-family: 'Mardoto', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    text-align: left;
    color: #667085;
    margin-bottom: 30px;
}

.share-modal .modal-content .share-options {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.share-modal .modal-content .modal-btn {
    padding: 10px 18px;
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: center;
    border-radius: 14px;
    text-decoration: none;
}

.share-modal .close-btn {
    display: none;
}

.copy-popup {
    position: absolute;
    background-color: #333;
    color: #fff;
    padding: 10px 15px;
    border-radius: 5px;
    font-size: 14px;
    opacity: 0;
    transition: opacity 0.3s, transform 0.3s;
    transform: translateY(10px);
    z-index: 1000;
    display:none;
}

.copy-popup.show {
    display:block;
    opacity: 1;
    transform: translateY(0);
}

.copy-popup::after {
    content: '';
    position: absolute;
    bottom: -5px;
    left: 50%;
    margin-left: -5px;
    border-width: 5px 5px 0;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
}

.share-modal .share-button,
.share-modal .copy-link {
    display: flex;
    border: 1px solid #eaecf0;
    background-color: #ffffff;
    color: #000000;
    padding: 10px 18px;
    text-align: center;
    text-decoration: none;
    border-radius: 14px;
    gap: 9.25px;
    justify-content: center;
    align-items: center;
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    text-align: left;
    color: #101828;
}

.share-modal .share-button:hover,
.share-modal .copy-link:hover {
    opacity: 0.9;
}

@media screen and (max-width:767.9px) {
    .share-modal .modal-content .share-options {
        padding-bottom: 20px;
        border-bottom: 1px solid #EAECF0;
    }

    .share-modal .close-btn {
        display: block;
        border: 1px solid #eaecf0;
        background-color: #ffffff;
        color: #000000;
        padding: 10px 18px;
        text-align: center;
        text-decoration: none;
        border-radius: 14px;
        margin-top: 20px;
        font-family: 'Mardoto', sans-serif;
        font-size: 16px;
        font-weight: 600;
        line-height: 24px;
        text-align: center;
        color: #344054;
    }

    .share-modal .modal-content {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 50%;
        margin: 0;
        padding: 20px;
        border-radius: 20px 20px 0 0;
        transform: translateY(100%);
        transition: transform 0.3s ease-out;
    }

    .share-modal .modal.open .modal-content {
        transform: translateY(0);
    }

    .share-modal .modal-content::before {
        content: '';
        width: 41px;
        height: 6px;
        border-radius: 30px;
        background: #FFFFFF;
        position: absolute;
        top: -12px;
        left: 50%;
        transform: translateX(-50%);
    }
}